/* recruit-page.css */

/* ----- */

/* _CTARecruitPositions.css */

.cta-recruit-positions .text-message {
  text-align: center;
}

@media all and (max-width: 1119.98px) {
  .cta-recruit-positions .text-message {
    text-align: left;
  }
}

/* ----- */

.cta-recruit-positions .cta-recruit-positions-message-section {
  display: grid;
  grid-template-columns: 1fr;
  gap: 60px;
  justify-items: center;
  padding: 80px 24px 0; /* TODO:変数定義 */
}

@media all and (max-width: 1119.98px) {
  .cta-recruit-positions .cta-recruit-positions-message-section {
    gap: 40px;
    padding: 40px 16px 0; /* TODO:変数定義 */
  }
}

.cta-recruit-positions .cta-recruit-positions-message-figure {
  width: 100%;
  margin-top: -100px;
}

@media all and (max-width: 1119.98px) {
  .cta-recruit-positions .cta-recruit-positions-message-figure {
    margin-top: -60px;
  }
}

.cta-recruit-positions .cta-recruit-positions-message-figure > picture {
  width: 100%;
}

.cta-recruit-positions .cta-recruit-positions-message-figure > picture > img {
  width: 100%;
}

/* ----- */

.cta-recruit-positions .cta-recruit-positions-more-section {
  display: grid;
  grid-template-columns: 1fr;
  gap: 60px;
  justify-items: center;
  background: var(--section-bg-color-type01);
}

@media all and (max-width: 1119.98px) {
  .cta-recruit-positions .cta-recruit-positions-more-section {
    gap: 40px;
  }
}

.cta-recruit-positions .cta-recruit-positions-more-section-container {
  display: grid;
  grid-template-columns: 1fr;
  gap: 40px;
  justify-items: center;
  padding: 80px 24px; /* TODO:変数定義 */
}

@media all and (max-width: 1119.98px) {
  .cta-recruit-positions .cta-recruit-positions-more-section-container {
    gap: 40px;
    padding: 40px 16px; /* TODO:変数定義 */
  }
}

/* ----- */

/* IntervieweeCards.css */

.interviewee-cards {
  display: grid;
  grid-template-columns: repeat(var(--columns, 3), 1fr);
  gap: var(--spacing-gap-lg); /* TODO: Space定義の整理 */
}

@media all and (max-width: 1119.98px) {
  .interviewee-cards {
    grid-template-columns: 1fr;
  }
}

.interviewee-card-link {
  display: grid;
  grid-template-columns: 1fr;
  gap: 8px;
}

.interviewee-card-link .interviewee-card-link-foot {
  justify-self: end;
}

.interviewee-card {
  display: grid;
  grid-template-columns: 1fr;
  gap: 24px; /* TODO: Space定義の整理 */
}

@media all and (max-width: 1119.98px) {
  .interviewee-card {
    gap: 16px; /* TODO: Space定義の整理 */
  }
}

.interviewee-card .interviewee-card-image {
  width: 100%;
  aspect-ratio: 347 / 200;
  overflow: clip;
  border-radius: 12px;
}

@media all and (max-width: 1119.98px) {
  .interviewee-card .interviewee-card-image {
    aspect-ratio: 347 / 200;
  }
}

.interviewee-card .interviewee-card-image > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.interviewee-card .interviewee-card-info {
  display: flex;
  flex-direction: column;
}

.interviewee-card .interviewee-name {
  margin-bottom: 8px;
  font-size: 20px;
  font-weight: var(--font-weight-bold);
}
